Skip to main content
GET
/
v1
/
replica
/
{id}
Get Replica
curl --request GET \
  --url https://api.tryreplicas.com/v1/replica/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tryreplicas.com/v1/replica/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tryreplicas.com/v1/replica/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "replica": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "last_activity_at": "2023-11-07T05:31:56Z",
    "repositories": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "url": "<string>"
      }
    ],
    "pull_requests": [
      {
        "repository": "<string>",
        "number": 123,
        "url": "<string>"
      }
    ],
    "repository_statuses": [
      {
        "repository": "<string>",
        "branch": "<string>",
        "default_branch": "<string>",
        "pr_urls": [
          "<string>"
        ],
        "start_hooks_completed": true,
        "git_diff": {
          "added": 123,
          "removed": 123,
          "full_diff": "<string>"
        }
      }
    ],
    "waking": true,
    "chats": [
      {
        "id": "<string>",
        "title": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "processing": true
      }
    ],
    "environment": {
      "engine_version": "<string>",
      "files_uploaded": [
        "<string>"
      ],
      "env_vars_set": [
        "<string>"
      ],
      "skills_installed": [
        "<string>"
      ],
      "integrations": {
        "github": true,
        "gitlab": true,
        "linear": true,
        "slack": true,
        "google": true
      },
      "coding_agents": {
        "claude": {
          "available": true,
          "auth_method": "<string>"
        },
        "codex": {
          "available": true,
          "auth_method": "<string>"
        },
        "opencode": {
          "available": true,
          "auth_method": "<string>"
        },
        "cursor": {
          "available": true,
          "auth_method": "<string>"
        }
      },
      "hooks": {
        "global_warm_hook": {
          "status": "<string>",
          "details": "<string>"
        },
        "repositories": [
          {
            "repository_name": "<string>",
            "warm_hook": "<string>",
            "start_hook": "<string>"
          }
        ]
      },
      "last_updated_at": "2023-11-07T05:31:56Z"
    }
  }
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Preferences → Organization → Settings → API Keys.

Path Parameters

id
string<uuid>
required

The unique identifier of the replica

Query Parameters

include
string

Comma-separated list of additional fields to include in the response

Example:

"environment,diffs"

Response

Successful response

replica
object
required

Detailed replica information including engine status and environment